%define major 12
%define shortname microhttpd
%define libname	%mklibname %shortname %{major}
%define develname %mklibname %{shortname} -d

Name:		libmicrohttpd
Version:	0.9.72
%define subrel 1
Release:	%mkrel 1
Summary:	Small C library to run an HTTP server
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.gnu.org/software/libmicrohttpd/
Source:		https://ftp.gnu.org/gnu/libmicrohttpd/%{name}-%{version}.tar.gz
Patch0:		e0754d1638c602382384f1eface30854b1defeec.patch
BuildRequires:	texinfo
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(openssl)

%description
libmicrohttpd is a small C library that is supposed to make it easy to
run an HTTP server as part of another application. Key features that
distinguish libmicrohttpd from other projects are:

* C library: fast and small
* API is simple, expressive and fully reentrant
* Implementation is (largely) HTTP 1.1 compliant
* HTTP server can listen on multiple ports
* Support for IPv6
* Creates binary of only 22k (for now)
* Three different threading models

libmicrohttpd was started because the author needed an easy way to add
a concurrent HTTP server to other projects. Existing alternatives were
either non-free, not reentrant, standalone, of terrible code quality or
a combination thereof. Do not use libmicrohttpd if you are looking for
a standalone HTTP server; there are many other projects out there that
provide that kind of functionality already. However, if you want to be
able to serve simple WWW pages from within your C or C++ application,
check it out.

%package -n	%{libname}
Summary:	Small C library to run an HTTP server
Group:		System/Libraries

%description -n	%{libname}
libmicrohttpd is a small C library that is supposed to make it easy to
run an HTTP server as part of another application. Key features that
distinguish libmicrohttpd from other projects are:

* C library: fast and small
* API is simple, expressive and fully reentrant
* Implementation is (largely) http 1.1 compliant
* HTTP server can listen on multiple ports
* Support for IPv6
* Creates binary of only 22k (for now)
* Three different threading models

libmicrohttpd was started because the author needed an easy way to add
a concurrent HTTP server to other projects. Existing alternatives were
either non-free, not reentrant, standalone, of terrible code quality or
a combination thereof. Do not use libmicrohttpd if you are looking for
a standalone http server; there are many other projects out there that
provide that kind of functionality already. However, if you want to be
able to serve simple WWW pages from within your C or C++ application,
check it out.

%package -n	%{develname}
Summary:	Development files for %{libname}
Group:		System/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{_lib}microhttpd10 < 0.9.28

%description -n	%{develname}
Development files for %{libname}

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%{__rm} -Rf %{buildroot}%{_libdir}/*.la
%{__rm} -f %{buildroot}%{_bindir}/demo

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{develname}
%{_includedir}/%{shortname}.h
%{_libdir}/%{name}.so
%{_infodir}/*
%{_mandir}/man3/*
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Mar 16 2023 ns80 <ns80> 0.9.72-1.1.mga8
+ Revision: 1949410
- backport an upstream patch for a security issue (mga#31670)

* Wed Dec 30 2020 luigiwalser <luigiwalser> 0.9.72-1.mga8
+ Revision: 1665822
- 0.9.72

* Thu Aug 20 2020 ovitters <ovitters> 0.9.71-2.mga8
+ Revision: 1616647
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Fri Jul 03 2020 shlomif <shlomif> 0.9.71-1.mga8
+ Revision: 1601652
- New version 0.9.71

* Fri Feb 21 2020 umeabot <umeabot> 0.9.70-2.mga8
+ Revision: 1547863
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 0.9.70-1.mga8
+ Revision: 1488574
- New version 0.9.70
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 23 2019 shlomif <shlomif> 0.9.69-1.mga8
+ Revision: 1469632
- New version 0.9.69

* Sun Nov 17 2019 daviddavid <daviddavid> 0.9.68-1.mga8
+ Revision: 1461536
- new version: 0.9.68

* Fri Aug 09 2019 shlomif <shlomif> 0.9.66-1.mga8
+ Revision: 1428464
- New version 0.9.66

* Sun Jul 14 2019 shlomif <shlomif> 0.9.65-1.mga8
+ Revision: 1421158
- New version 0.9.65

* Sat Jun 29 2019 shlomif <shlomif> 0.9.64-1.mga8
+ Revision: 1416193
- New version 0.9.64

* Tue Feb 12 2019 shlomif <shlomif> 0.9.63-1.mga7
+ Revision: 1365915
- New version 0.9.63

* Sat Dec 22 2018 shlomif <shlomif> 0.9.62-1.mga7
+ Revision: 1344500
- New version 0.9.62

* Thu Nov 22 2018 shlomif <shlomif> 0.9.60-1.mga7
+ Revision: 1333275
- New version 0.9.60

* Sun Sep 23 2018 umeabot <umeabot> 0.9.59-2.mga7
+ Revision: 1298991
- Mageia 7 Mass Rebuild

* Sat Feb 10 2018 luigiwalser <luigiwalser> 0.9.59-1.mga7
+ Revision: 1200249
- 0.9.59

* Fri Dec 08 2017 shlomif <shlomif> 0.9.58-1.mga7
+ Revision: 1181702
- fix license
- New version 0.9.58

* Thu Jun 08 2017 luigiwalser <luigiwalser> 0.9.55-1.mga6
+ Revision: 1107308
- 0.9.55

* Sat Jan 14 2017 shlomif <shlomif> 0.9.52-1.mga6
+ Revision: 1081662
- New version 0.9.52.

* Sat Sep 10 2016 luigiwalser <luigiwalser> 0.9.51-1.mga6
+ Revision: 1051187
- 0.9.51

* Wed Aug 10 2016 luigiwalser <luigiwalser> 0.9.50-1.mga6
+ Revision: 1045281
- 0.9.50

* Mon May 09 2016 luigiwalser <luigiwalser> 0.9.49-1.mga6
+ Revision: 1011468
- 0.9.49

* Mon Jan 11 2016 luigiwalser <luigiwalser> 0.9.48-2.mga6
+ Revision: 921819
- rebuild for gnutls

* Sun Jan 03 2016 luigiwalser <luigiwalser> 0.9.48-1.mga6
+ Revision: 918782
- 0.9.48

* Thu Dec 17 2015 shlomif <shlomif> 0.9.47-1.mga6
+ Revision: 911325
- New version 0.9.47

* Wed Oct 21 2015 ngompa <ngompa> 0.9.44-1.mga6
+ Revision: 893861
- Update to version 0.9.44

* Thu Sep 10 2015 fwang <fwang> 0.9.42-3.mga6
+ Revision: 875380
- rebuild for new libgcrypt

* Fri Aug 21 2015 tmb <tmb> 0.9.42-2.mga6
+ Revision: 867647
- rebuild for new gcc

* Sun Jun 21 2015 luigiwalser <luigiwalser> 0.9.42-1.mga6
+ Revision: 837318
- 0.9.42

* Wed Oct 15 2014 umeabot <umeabot> 0.9.37-4.mga5
+ Revision: 743772
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.37-3.mga5
+ Revision: 726749
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.37-2.mga5
+ Revision: 681601
- Mageia 5 Mass Rebuild

* Mon Jun 02 2014 luigiwalser <luigiwalser> 0.9.37-1.mga5
+ Revision: 630611
- 0.9.37

* Mon May 26 2014 luigiwalser <luigiwalser> 0.9.36-1.mga5
+ Revision: 626555
- 0.9.36

* Sat May 03 2014 luigiwalser <luigiwalser> 0.9.35-1.mga5
+ Revision: 619749
- 0.9.35
- update patch 1
- remove upstreamed patch 2

* Sat Mar 15 2014 luigiwalser <luigiwalser> 0.9.34-1.mga5
+ Revision: 603994
- 0.9.34
- add patch from fedora to install microspdy pkgconfig file
- separate out microspdy devel files into own subpackage

* Fri Dec 27 2013 luigiwalser <luigiwalser> 0.9.33-1.mga4
+ Revision: 560963
- 0.9.33

* Sat Oct 19 2013 umeabot <umeabot> 0.9.30-2.mga4
+ Revision: 533839
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 luigiwalser <luigiwalser> 0.9.30-1.mga4
+ Revision: 475632
- 0.9.30

* Sat Aug 03 2013 fwang <fwang> 0.9.28-1.mga4
+ Revision: 462853
- add files
- add microspdy2http sub package
- update file list
- update file list for libmicrospdy
- fix linkage of spdy lib
- new version 0.9.28

* Mon Jun 24 2013 fwang <fwang> 0.9.27-1.mga4
+ Revision: 446110
- new version 0.9.27

* Sat Jan 12 2013 umeabot <umeabot> 0.9.23-2.mga3
+ Revision: 357751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 11 2012 fwang <fwang> 0.9.23-1.mga3
+ Revision: 316924
- new version 0.9.23

* Mon Sep 03 2012 fwang <fwang> 0.9.22-1.mga3
+ Revision: 287516
- new version 0.9.22

* Fri Jun 01 2012 fwang <fwang> 0.9.20-1.mga3
+ Revision: 252729
- new version 0.9.20

* Mon Mar 05 2012 fwang <fwang> 0.9.19-1.mga2
+ Revision: 218351
- new version 0.9.19

* Sun Nov 20 2011 fwang <fwang> 0.9.17-1.mga2
+ Revision: 169607
- new version 0.9.17

* Sat Nov 05 2011 fwang <fwang> 0.9.16-1.mga2
+ Revision: 163137
- new version 0.9.16
- rebuild for new gnults

* Mon Jul 18 2011 fwang <fwang> 0.9.13-1.mga2
+ Revision: 125618
- new version 0.9.13

* Mon Mar 28 2011 ennael <ennael> 0.9.8-1.mga1
+ Revision: 78439
- clean spec file
- imported package libmicrohttpd


* Sun Mar 06 2011 Funda Wang <fwang@mandriva.org> 0.9.8-1mdv2011.0
+ Revision: 642213
- update to new version 0.9.8

* Sun Jan 30 2011 Funda Wang <fwang@mandriva.org> 0.9.6-1
+ Revision: 634086
- update to new version 0.9.6

* Sun Dec 26 2010 Funda Wang <fwang@mandriva.org> 0.9.4-1mdv2011.0
+ Revision: 625192
- new version 0.9.4

* Sat Sep 11 2010 Funda Wang <fwang@mandriva.org> 0.9.1-1mdv2011.0
+ Revision: 577146
- new version 0.9.1

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 0.9.0-1mdv2011.0
+ Revision: 560900
- New version 0.9.0

* Sat Mar 13 2010 Funda Wang <fwang@mandriva.org> 0.4.6-1mdv2010.1
+ Revision: 518686
- new version 0.4.6

* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 0.4.5-1mdv2010.1
+ Revision: 504694
- new version 0.4.5

* Sun Nov 08 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.3-1mdv2010.1
+ Revision: 463098
- update to new version 0.4.3

* Wed Sep 09 2009 Lev Givon <lev@mandriva.org> 0.4.2-1mdv2010.0
+ Revision: 436073
- Update to 0.4.2.

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.3.1-3mdv2010.0
+ Revision: 429810
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.3.1-2mdv2009.0
+ Revision: 267893
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 28 2008 Funda Wang <fwang@mandriva.org> 0.3.1-1mdv2009.0
+ Revision: 212197
- New version 0.3.1

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Sun Feb 03 2008 Funda Wang <fwang@mandriva.org> 0.2.1-1mdv2008.1
+ Revision: 161659
- update to new version 0.2.1

* Fri Dec 28 2007 Nicolas Vigier <nvigier@mandriva.com> 0.2.0-1mdv2008.1
+ Revision: 138879
- new version

* Tue Dec 18 2007 Nicolas Vigier <nvigier@mandriva.com> 0.1.2-1mdv2008.1
+ Revision: 132256
- new version

* Mon Aug 20 2007 Nicolas Vigier <nvigier@mandriva.com> 0.0.3-1mdv2008.0
+ Revision: 67318
- new version 0.0.3

* Tue Aug 14 2007 Nicolas Vigier <nvigier@mandriva.com> 0.0.1-1mdv2008.0
+ Revision: 63406
- Import libmicrohttpd

